﻿@{
    ViewData["Title"] = "Register";
}
@using PhotoContest.Data.Front_endViewModels.AuthModels
@model RegisterViewModel

<h2>Register</h2>

<form asp-controller="Auth" asp-action="Register" method="post">
    <div class="form-group">
        <label asp-for="Username"></label>
        <input type="text" asp-for="Username" class="form-control" />
        <span asp-validation-for="Username" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="FirstName"></label>
        <input type="text" asp-for="FirstName" class="form-control" />
        <span asp-validation-for="FirstName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="LastName"></label>
        <input type="text" asp-for="LastName" class="form-control" />
        <span asp-validation-for="LastName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Email"></label>
        <input type="text" asp-for="Email" class="form-control" />
        <span asp-validation-for="Email" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Password"></label>
        <input type="password" asp-for="Password" class="form-control" />
        <span asp-validation-for="Password" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="ConfirmPassword"></label>
        <input type="password" asp-for="ConfirmPassword" class="form-control" />
        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
    </div>
    <div class="form-group">
        <input type="submit" value="Register" class="btn btn-primary" />
        <a asp-controller="Auth" asp-action="Login" class="btn btn-secondary">Login</a>
    </div>
</form>